> ## Documentation Index
> Fetch the complete documentation index at: https://api-portal.etoro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get instrument feed posts

> Retrieves feed posts associated with a specific financial instrument. The feed includes discussions, analyses, and other content related to the instrument.



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/feeds/instrument/{marketId}
openapi: 3.0.1
info:
  title: eToro Api
  version: v1.206.0
  description: >-
    eToro’s public API provides access to real-time financial data, trading
    insights, and account management features, allowing developers to integrate
    eToro’s services into their applications. With access to market prices,
    historical data, and social trading information, the API empowers users to
    enhance their trading strategies. Designed for security and scalability, the
    eToro API ensures smooth and reliable integration for a variety of financial
    applications.


    For more details on integrating with eToro's public WebSocket service,
    please refer to the dedicated [WebSocket
    documentation](./websocket/websocket-doc.html).
servers:
  - url: https://public-api.etoro.com
    description: eToro Public API
security: []
tags:
  - name: Agent Portfolios
  - name: Watchlists
  - name: Feeds
  - name: Asset Explorer
  - name: Market Data
  - name: Identity
  - name: Notifications
  - name: PI Data
  - name: Comments
  - name: Trading Demo
  - name: Trading Real
  - name: Users Info
  - name: Deprecated
paths:
  /api/v1/feeds/instrument/{marketId}:
    get:
      tags:
        - Feeds
      summary: Get instrument feed posts
      description: >-
        Retrieves feed posts associated with a specific financial instrument.
        The feed includes discussions, analyses, and other content related to
        the instrument.
      operationId: getInstrumentFeedPosts
      parameters:
        - name: x-request-id
          in: header
          required: true
          schema:
            type: string
            format: uuid
            example: a70176e1-367e-4f9b-810e-cd7028256211
          description: A unique request identifier.
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            format: password
            example: lhgfaslk21490FAScVPkdsb53F9dNkfHG4faZSG5vfjndfcfgdssdgsdHF4663
          description: API key for authentication.
        - name: x-user-key
          in: header
          required: true
          schema:
            type: string
            format: password
            example: >-
              eyJlYW4iOiJVbnJlZ2lzdGVyZWRBcHBsaWNhdGlvbiIsImVrIjoiOE5sZ2cwcW5EUVdROUFNWGpXT2lmOWktZnpidG5KcUlqWGJ3WHJZZkpZcldrbG90ZEhvLVBjSWhQaU8xU1ZtMW84aU1WZGZqN2xWNzFjLXFxLmcybXE1dnh4Q1hUT25xaWRUaTFlcEhmVk1fIn0_
          description: User-specific authentication key.
        - name: marketId
          in: path
          description: >-
            Unique identifier of the financial instrument/market to retrieve
            feed posts for
          required: true
          schema:
            type: string
          example: '123456'
        - name: requesterUserId
          in: query
          description: >-
            ID of the user making the request. Used for personalization and
            permission checks.
          schema:
            type: string
          example: '7890'
        - name: take
          in: query
          description: Number of feed posts to retrieve. Used for pagination.
          schema:
            type: integer
            format: int32
            default: 20
            minimum: 1
            maximum: 100
          example: 20
        - name: badgesExperimentIsEnabled
          in: query
          description: >-
            Flag indicating whether to include user badges in the response. Part
            of badges feature experiment.
          schema:
            type: boolean
            default: false
        - name: offset
          in: query
          description: >-
            Number of feed posts to skip. Used for pagination in combination
            with take parameter.
          schema:
            type: integer
            format: int32
            default: 0
            minimum: 0
        - name: reactionsPageSize
          in: query
          description: >-
            Number of reactions to include per post. Controls the pagination of
            post reactions.
          schema:
            type: integer
            format: int32
            default: 10
            minimum: 1
            maximum: 50
      responses:
        '200':
          description: Successfully retrieved instrument feed posts
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DiscussionsResponse'
components:
  schemas:
    DiscussionsResponse:
      type: object
      properties:
        discussions:
          type: array
          items:
            $ref: '#/components/schemas/Discussion'
        paging:
          type: object
          properties:
            next:
              type: string
            offSet:
              type: integer
            take:
              type: integer
            version:
              type: string
        metadata:
          type: object
          properties:
            experimentName:
              type: string
            streamType:
              type: string
            designatedStreamType:
              type: string
    Discussion:
      type: object
      properties:
        id:
          type: string
        post:
          $ref: '#/components/schemas/DiscussionsPost'
        commentsData:
          type: object
          properties:
            reactionPaging:
              type: object
              properties:
                totalCount:
                  type: integer
            comments:
              type: array
              items:
                $ref: '#/components/schemas/Comment'
        emotionsData:
          type: object
          properties:
            like:
              type: object
              properties:
                paging:
                  type: object
                  properties:
                    totalCount:
                      type: integer
                emotions:
                  type: array
                  items:
                    $ref: '#/components/schemas/Emotion'
        requesterContext:
          type: object
          properties:
            isFlaggingAsSpam:
              type: boolean
            isSubscribed:
              type: boolean
            isLiking:
              type: boolean
            isSaved:
              type: boolean
            isPinned:
              type: boolean
            isRequesterBlocking:
              type: boolean
            isInteractionRestricted:
              type: boolean
            isFollowing:
              type: boolean
        summary:
          type: object
          properties:
            totalCommentsAndReplies:
              type: integer
            sharedCount:
              type: integer
        reason:
          nullable: true
          description: >-
            Reason for the discussion being shown - can be a string or an object
            with sourceId, owner, and type fields
    DiscussionsPost:
      type: object
      properties:
        id:
          type: string
        owner:
          $ref: '#/components/schemas/User'
        obsoleteId:
          type: string
          description: Legacy identifier for backward compatibility
        message:
          type: object
          properties:
            text:
              type: string
            languageCode:
              type: string
        created:
          type: string
          format: date-time
        updated:
          type: string
          format: date-time
        type:
          type: string
        isDeleted:
          type: boolean
          description: Whether the post has been deleted
        isSpam:
          type: boolean
          description: Whether the post is flagged as spam
        editStatus:
          type: string
          description: Edit status of the post
          enum:
            - None
            - Edited
            - Moderated
        attachments:
          type: array
          items:
            $ref: '#/components/schemas/Attachment'
        tags:
          type: array
          items:
            type: object
            properties:
              market:
                type: object
                properties:
                  id:
                    type: string
                  symbolName:
                    type: string
                  displayName:
                    type: string
                  updated:
                    type: string
                  assetType:
                    type: string
                  internalId:
                    type: integer
                  avatar:
                    type: object
                    properties:
                      small:
                        type: string
                      medium:
                        type: string
                      large:
                        type: string
                      svg:
                        type: object
                        nullable: true
                        properties:
                          url:
                            type: string
                          backgroundColor:
                            type: string
                          textColor:
                            type: string
                  application:
                    type: string
                  metadata:
                    type: string
                  assetTypeId:
                    type: integer
                  assetTypeSubCategoryId:
                    type: integer
        mentions:
          type: array
          items:
            type: object
            properties:
              user:
                $ref: '#/components/schemas/User'
              isDirect:
                type: boolean
        metadata:
          type: object
          description: Additional metadata about the post
          properties:
            share:
              type: object
              properties:
                sharedPost:
                  type: string
                sharedOriginPost:
                  type: string
            poll:
              type: object
              properties:
                id:
                  type: integer
                title:
                  type: string
                gcid:
                  type: integer
                options:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: integer
                      index:
                        type: integer
                      text:
                        type: string
                      isUserVoted:
                        type: boolean
                      votesCount:
                        type: integer
    Comment:
      type: object
      properties:
        entity:
          type: object
          properties:
            message:
              type: object
              properties:
                text:
                  type: string
                languageCode:
                  type: string
            id:
              type: string
            owner:
              $ref: '#/components/schemas/User'
            created:
              type: string
              format: date-time
            obsoleteId:
              type: string
            attachments:
              type: array
              items:
                $ref: '#/components/schemas/Attachment'
            isSpam:
              type: boolean
            editStatus:
              type: string
              enum:
                - None
                - Edited
                - Moderated
            parent:
              type: object
              description: Parent post reference
              properties:
                id:
                  type: string
                obsoleteId:
                  type: string
                type:
                  type: string
        repliesCount:
          type: integer
        replies:
          type: array
          items:
            type: object
        emotionsData:
          type: object
          properties:
            like:
              type: object
              properties:
                paging:
                  type: object
                  properties:
                    totalCount:
                      type: integer
                emotions:
                  type: array
                  items:
                    $ref: '#/components/schemas/Emotion'
        requesterContext:
          type: object
          properties:
            isFlaggingAsSpam:
              type: boolean
            isSubscribed:
              type: boolean
            isLiking:
              type: boolean
            isSaved:
              type: boolean
            isPinned:
              type: boolean
            isRequesterBlocking:
              type: boolean
            isInteractionRestricted:
              type: boolean
            isFollowing:
              type: boolean
    Emotion:
      type: object
      properties:
        type:
          type: string
        id:
          type: string
        owner:
          $ref: '#/components/schemas/User'
        obsoleteId:
          type: string
        parent:
          type: object
          properties:
            id:
              type: string
            obsoleteId:
              type: string
            type:
              type: string
        created:
          type: string
          format: date-time
    User:
      type: object
      properties:
        id:
          type: string
        username:
          type: string
        firstName:
          type: string
        lastName:
          type: string
        avatar:
          type: object
          properties:
            small:
              type: string
              format: uri
            medium:
              type: string
              format: uri
            large:
              type: string
              format: uri
        roles:
          type: array
          items:
            type: string
        isBlocked:
          type: boolean
        isPrivate:
          type: boolean
        countryCode:
          type: integer
        piLevel:
          type: integer
    Attachment:
      type: object
      description: Represents a media attachment in a post
      properties:
        type:
          type: string
          enum:
            - image
            - video
            - link
          description: Type of the attachment
        url:
          type: string
          description: URL where the attachment content can be accessed
        thumbnailUrl:
          type: string
          description: URL of a thumbnail image for video attachments
        host:
          type: string
          description: Host domain of the attachment URL
        mediaType:
          type: string
          description: Type of media
          enum:
            - None
            - Image
            - Video
        media:
          type: object
          description: Media content details
        metadata:
          type: object
          description: Additional metadata about the attachment
          properties:
            width:
              type: integer
              description: Width of the media in pixels
            height:
              type: integer
              description: Height of the media in pixels
            duration:
              type: integer
              description: Duration in seconds for video attachments

````